Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001033I6 LibraryGeneralpublic2012-10-17 14:402015-05-10 17:47
ReporterDavidG 
Assigned ToDavidG 
PriorityhighSeveritycriticalReproducibilityalways
StatusclosedResolutionwon't fix 
Platformx86OSLinuxOS VersionAny
Product Version6/12 
Target Version6/12Fixed in Version 
Summary0001033: parserm.h will not modularize due to compiled code being larger than 65535 bytes
DescriptionI have completed merging in changes to the Inform Library from the old 2006 CVS. A Git conversion of that CVS is available at https://github.com/DavidGriffith/inform-2006. [^] Upon incorporating this new library into my inform6unix repo, I found that parserm.h cannot be compiled to a module because it exceeds the 65535 bytes imposed by the V5 specs by 1522 bytes. This requires either things to be cut from parserm.h or moved from parserm.h to somewhere else.

I created a branch in the library and inform6unix called "trim-parserm" which seeks to remedy this problem by moving various IO-related code into a new library file named "io.h". So far I've been able to get parserm.m5 under the limit with three bytes to spare. In 6/11, parserm.m5 weighed in at 58879 bytes. I'm sure more can be moved out of parserm.h.

Please comment.
Additional Informationhttps://github.com/DavidGriffith/inform6unix [^]
https://github.com/DavidGriffith/inform6lib [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001912)
DavidG (developer)
2012-10-19 21:56

Nobody has said anything, so I guess it's okay to go forward with this.
(0002862)
DavidG (developer)
2014-06-03 01:29

Using modules doesn't really have any advantages anymore. Not supported at all for Glulx. I'm deprecating modules from this point on.
(0003612)
jmcgrew (administrator)
2015-05-10 17:47

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2012-10-17 14:40 DavidG New Issue
2012-10-17 21:28 DavidG Assigned To => DavidG
2012-10-17 21:28 DavidG Status new => assigned
2012-10-19 21:56 DavidG Note Added: 0001912
2012-10-19 21:57 DavidG Status assigned => resolved
2012-10-19 21:57 DavidG Resolution open => fixed
2014-06-03 01:29 DavidG Note Added: 0002862
2014-06-03 01:29 DavidG Resolution fixed => won't fix
2015-05-10 17:47 jmcgrew Note Added: 0003612
2015-05-10 17:47 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker